libetonyek::IWORKListLabelTypeinfoElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListLabelTypeinfoElement Class Reference

`#include <IWORKListLabelTypeinfoElement.h>`

Inheritance diagram for libetonyek::IWORKListLabelTypeinfoElement:

## Public Member Functions
| IWORKListLabelTypeinfoElement (IWORKXMLParserState &state, boost::optional< IWORKListLabelTypeInfo_t > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKListLabelTypeInfo_t > & | m_value
boost::optional< IWORKListLabelTypeInfo_t > | m_text
boost::optional< ID_t > | m_textRef
IWORKMediaContentPtr_t | m_image
boost::optional< ID_t > | m_imageRef
bool | m_isText
bool | m_isImage

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKListLabelTypeinfoElement()

libetonyek::IWORKListLabelTypeinfoElement::IWORKListLabelTypeinfoElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKListLabelTypeInfo_t > & | value
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKListLabelTypeinfoElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKListLabelTypeinfoElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKListLabelTypeinfoElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_image

IWORKMediaContentPtr_t libetonyek::IWORKListLabelTypeinfoElement::m_image
| private

Referenced by element(), and endOfElement().

## ◆ m_imageRef

boost::optional<ID_t> libetonyek::IWORKListLabelTypeinfoElement::m_imageRef
| private

Referenced by element(), and endOfElement().

## ◆ m_isImage

bool libetonyek::IWORKListLabelTypeinfoElement::m_isImage
| private

Referenced by attribute(), and endOfElement().

## ◆ m_isText

bool libetonyek::IWORKListLabelTypeinfoElement::m_isText
| private

Referenced by attribute(), and endOfElement().

## ◆ m_text

boost::optional<IWORKListLabelTypeInfo_t> libetonyek::IWORKListLabelTypeinfoElement::m_text
| private

Referenced by element(), and endOfElement().

## ◆ m_textRef

boost::optional<ID_t> libetonyek::IWORKListLabelTypeinfoElement::m_textRef
| private

Referenced by element(), and endOfElement().

## ◆ m_value

boost::optional<IWORKListLabelTypeInfo_t>& libetonyek::IWORKListLabelTypeinfoElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKListLabelTypeinfoElement.h
- IWORKListLabelTypeinfoElement.cpp